Changes between Version 3 and Version 4 of Download


Ignore:
Timestamp:
2009-09-13 14:07:10 (12 years ago)
Author:
speck
Comment:

--

Legend:

Unmodified
Added
Removed
Modified
  • Download

    v3 v4  
    66}}}
    77
    8 Compiling and installing !GlimmerBlocker from source requires IntelliJ IDEA, Xcode and a decent knowledge of shell scripting. The build process is not simple.
     8Compiling and installing !GlimmerBlocker from source requires the latest version of IntelliJ IDEA (I'm very often using the latest pre-beta builds), Xcode and a decent knowledge of shell scripting. The build process is not simple.
    99
    1010Send patches to: [patch@glimmerblocker.org]
     
    1515For GUI-based clients, check the links in the "Subversion Clients: stand-alone" section on http://subversion.tigris.org/links.html
    1616
     17== How to build it, I think ==
     18Never been tested, so this should be taken as hints, not a cookbook.  Mastering shell and perl scripts is mandatory.
     19
     20 1. Stop the running proxy (aka deactivate).
     21 2. Create install dir: {{{sudo mkdir -p /Library/PreferencePanes/GlimmerBlocker.prefPane}}}
     22 3. Make sure it is owned by you:  {{{chmod -R johndoe /Library/PreferencePanes/GlimmerBlocker.prefPane}}}
     23 4. Clean it out, but keep the dir: {{{rm -rf /Library/PreferencePanes/GlimmerBlocker.prefPane/*}}}
     24 5. Make the Xcode project. It will fail at the end due to missing Jars: {{{PrefsPane/GlimmerBlockerPrefsPane.xcodeproj}}}[[BR]]
     25 6. Open the IDEA project. Make it.
     26 7. Open Terminal, and cd into svntrunk/PrefsPane
     27 8. Execute ./java-runner.sh
     28 9. Build the Xcode once more (not clean), it should now be a success.
     29 10. In Terminal: fix permissions on the auth helper:[[BR]]
     30  {{{sudo chown root:admin /Library/PreferencePanes/GlimmerBlocker.prefPane/Contents/MacOS/AuthHelper}}}[[BR]]
     31  {{{sudo chmod 6555 /Library/PreferencePanes/GlimmerBlocker.prefPane/Contents/MacOS/AuthHelper}}}